body{
    margin: 0;
    padding: 0;
    background-color: rgb(243, 243, 243);
}
.container{
    display: grid;
    grid-template-columns: 400px 600px 400px;
    animation-name: container;
    animation-duration: 0.5s;
    animation-timing-function: 1s;
}
.sidebar{
    position: fixed;
    height: inherit;
    width: 320px;
    padding-top: 20px;

}
.sidebar:hover{
  overflow-y: scroll;
}
.group{
    position: fixed;
    overflow-y: scroll;
    right: 0;
    overflow: hidden;
}
.navbar-container{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1.4fr 1fr;
    position: fixed;
    height: inherit;
    background-color: white;
    z-index: 100;
}
.left-sec{
    height: inherit;
    display: flex;
    align-items: center;
    margin: 0px 0px 0px 15px;
    width: 70%;
}
nav{
    height: 56px;
}
.fb-logo{
    height: inherit;
    display: flex;
    align-items: center;  
    margin-right: 8px;
}
.logo{
    height: 70%;
    object-fit: cover;
}
.navbar-container{
    box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.2);
}
.search {
    border-radius: 50px;
    border: none;
    outline: none;
    font-family: arial;
    background: url(Icons/fb-search.svg) no-repeat left rgba(255, 255, 255, 0.15);
      background-position-x: left;
      background-position-y: center;
      background-size: 22px;
    background-position: 10px;
    background-color: rgb(241, 241, 241);
    color: rgb(99, 99, 99);
    padding-left: 35px;
    font-size: 15px;
    height: 70%;
    flex: 1;
  width: 0;
  
  }
  .search:focus{
    width: 52px;
    padding-left: 30px;
  }
 
  .mid-sec{
    display: flex;
  justify-content: space-around;
width: 100%;
height: 52px;
filter: invert(0%) sepia(0%) saturate(0%) hue-rotate(130deg) brightness(0%) contrast(100%);
  }
  .head{
    display: flex;
    align-items: center;
  }
  .head-icon{
    width: 27px;
    cursor: pointer;
  }
  .blue{
    height: 3px;
    background-color: rgb(36, 87, 255);
    width: 110px;
    border-radius: 10px;
  }
  .select{
    width: 100%;
  }
  .pic{
    width: 40px;
  border-radius: 46px;
  height: 40px;
  object-fit: cover;
  }
  .menu{
    align-items: center;
    display: flex;
    margin-right: 18px;
  }
  .options{
    background-color: rgb(233, 233, 233);
    padding: 6px;
    border-radius: 40px;
    margin-right: 10px;
    width: 25px;
    object-fit: contain;
  }
  .right-sec{
    display: flex;
  justify-content: end;
  }
  .down{
    position: absolute;
    right: 0px;
    top: 27px;
    background: #e3e3e3;
    border-radius: 20px;
    width: 14px;
  }
  .red{
    background: #d92828;
    width: 10px;
    height: 10px;
    border-radius: 10px;
    position: absolute;
    left: 27px;
    top: 0;
    border: 2px solid white;
  }
  .side-container{
    height: 100%;
    margin-left: 15px;
    /* padding-top: 20px;
    margin-bottom: 20px; */
  }
  
  .image{
    display: flex;
    align-items: center;
    font-size: 15px;
    font-family: roboto;
  }
  .side-image{
    display: flex;
    align-items: center;
    font-size: 15px;
    font-family: roboto;
    height: 4.5%;
    background: url(Icons/icons.png) no-repeat ;
    padding-left: 40px;
    margin: 20px auto;
    cursor: pointer;
  }
  .side-image:hover{
    background-color: rgb(226, 226, 226);
  }
  .notification{
    position: relative;
    display: flex;
  align-items: center;
  }
  .side-icons{
   display: inline;
  }
  .name{
    margin-left: 10px;
  }
  .img-1{
    background-position: 0px -260px;
  }
  .img-2{
    background-position: 0px -405px;
  }
  .img-3{
    background-position: 0px -150px;
  }
  .img-4{
    background-position: 0px -40px;
  }
  .img-5{
    background-position: 0px -481px;
  }
  .img-6{
    background-position: 0px -370px;
  }
.img-7{
    background: url(Icons/feeds.png) no-repeat;
}
.img-8{
  background: url(Icons/events.png) no-repeat;
  background-position: 0px -37px;
}
.img-9{
  background: url(Icons/ads.png) no-repeat;
}
.img-10{
  display: flex;
  align-items: center;
  font-size: 15px;
  font-family: roboto;
  height: 4.5%;
  margin: 20px auto;
  cursor: pointer;
}
.img-10:hover{
  background-color: rgb(226, 226, 226);
  border-radius: 7px;
}
.see-more{
  background-color: rgb(223, 223, 223);
  border-radius: 40px;
  margin-right: 13px;
}
.create{
  display: flex;
  padding: 15px;

}
.section{
  background-color: white;
  border-radius: 10px;
  margin-top: 18px;
  border: 1px solid rgb(224, 224, 224);
  box-shadow: 0px 2px 1px rgba(0, 0, 0, 0.05);
}
.upload{
  background-color: rgb(231, 243, 255);
  padding: 8px;
  border-radius: 20px;
  display: flex;
  margin-right: 13px;
 
}

.create-story{
  font-size: 18px;
  font-weight: bold;
  font-family: arial;
  margin-bottom: 4px;
}
.share-text{
  font-size: 14px;
  font-family: roboto;
  color: gray;
}
.post-message{
  height: 115px;
  background-color: white;
  padding-left: 15px ;
  padding-top: 10px;
  margin-top: 15px;
  padding-right: 20px;
  border-radius: 10px;
  border: 1px solid rgb(224, 224, 224);
  box-shadow: 0px 2px 1px rgba(0, 0, 0, 0.05);
}
.write-something{
  border-radius: 10px;
  display: flex;
}
.pic-img{
  display: flex;
  align-items: center;

}

.profile-img .pic{
  width: 40px;
  border-radius: 40px;
}
.text-post{
  width: 98%;
  margin-left: 7px;
}
.in-mind{
  width: inherit;
  border-radius: 30px;
  border: none;
  outline: none;
  font-family: arial;
  color: rgb(41, 41, 41);
  background-color: rgb(238, 238, 238);
  height: 40px;
  font-size: 17px;
  padding-left: 12px;
}

.line{
  outline: none;
  border: none;
  background-color: rgb(202, 202, 202);
  border-radius: 20px;
  margin-top: 10px;
  height: 1px;
}
.upload-options{
  display: grid;
  grid-template-columns:1fr 1fr 1fr;
  justify-content: space-evenly;
  text-align: center;
  margin-top: 10px;
  font-size: 15px;
  font-family: roboto;
  font-weight: 700;
}
.live-btn, .photo-video, .feeling{
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px 4px;
  color: rgb(122, 122, 122);
  cursor: pointer;
}
.live-btn:hover, .photo-video:hover, .feeling:hover{
  background-color: rgb(240, 240, 240);
  border-radius: 7px;
}
span{
  padding-left: 7px;
}
.posts{
  background-color: white;
  
  padding-top: 10px;
  margin-top: 15px;
  
  border-radius: 10px;
  border: 1px solid rgb(224, 224, 224);
  box-shadow: 0px 2px 1px rgba(0, 0, 0, 0.05);
}
.post-head{
  display: flex;
  font-family: Helvetica;
  padding: 0px 10px;
}
.user-details{
margin-left: 10px;
width: 100%;
}
.user-name{
  display: flex;
  font-weight: bold;
}
.post-date{
  color: gray;
  font-size: 13px;
  display: flex;
}
.follow{
  color: rgb(13, 118, 255);
}
.contain{
  display: flex;
  justify-content: space-between;
  width: 100%;
}
.profile-name{
  white-space: nowrap;
}
.post-image{
  width: 100%;
  border-bottom: 1px solid rgba(0, 0, 0, 0.4);

}
.message{
  font-size: 14px;
  font-family: arial;
}
.caption{
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
  padding: 8px;
  margin-top: 2px;
}
.reactions{
  display: flex;
  justify-content: space-around;
  margin: 5px 20px;
  font-size: 16px;
  padding: 6px;
  color: gray;
  cursor: pointer;
}
.react-1{
  background: url(Icons/reactions.png) no-repeat;
  background-position-y: -760px;
  padding-left: 22px;
}
.react-2{
  background: url(Icons/reactions.png) no-repeat;
  background-position-y: -550px;
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(130deg) brightness(0%) contrast(10%) grayscale(100%);
  padding-left: 22px;
}
.react-3{
  background: url(Icons/reactions.png) no-repeat;
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(130deg) brightness(0%) contrast(10%) grayscale(100%);
  background-position-y: -402px;
  padding-left: 22px;
}
.react-4{
  background: url(Icons/reactions.png) no-repeat;
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(130deg) brightness(0%) contrast(10%) grayscale(100%);
  background-position-y: -885px;
  padding-left: 22px;
}
.common{
  display: flex;
font-weight: bold;
padding: 7px 32px;
}
.common:hover{
  background-color: rgba(214, 214, 214, 0.527);
  border-radius: 4px;
}
.reaction-text{
  padding-top: 2px;
}
.more{
  display: flex;
  width: 85px;
  height: 23px;
  justify-content: space-evenly;
}
img{
  cursor: pointer;
}
.group-container{
  display: flex;
  justify-content: space-around;
 
}
.pages{
  width: 320px;
}
.pic-1{
  width: 35px;
  border-radius: 20px;
  height: 35px;
}
.head-1{
  display: flex;
  font-size: 18px;
  font-weight: bold;
  color: rgb(105, 105, 105);
  font-family: roboto;
  align-items: center;
  margin-top: 20px;
margin-bottom: 10px;  
justify-content: space-between;
}
.more-1{
  display: flex;
}
.more-2{
  width: 30px;
  display: flex;
  margin-left: 15px;
}
.page-name{
  margin-left: 10px;
}
.profile-1{
  display: flex;
align-items: center;
font-size: 15px;
font-family: roboto;
}
.profile-2{
  display: flex;
align-items: center;
font-size: 15px;
font-family: arial;
margin:15px;
font-weight: bold;
  color: rgb(92, 92, 92);
  font-size: 13px;
}

.public{
  display: flex;
  margin-left: 4px;
}
.world{
  width: 13px;
}

.profile-pic-1{
  display: flex;
  
}
.profile-pic-2{
  background: url(Icons/options.png) no-repeat;background: url(Icons/options.png) no-repeat;
background-position-y: -49px;
filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(130deg) brightness(0%) contrast(10%) grayscale(100%);
padding: 11px;

}
.profile-pic-3{
  background: url(Icons/options.png) no-repeat;background: url(Icons/options.png) no-repeat;
background-position-y: -175px;
filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(130deg) brightness(0%) contrast(10%) grayscale(100%);
padding: 11px;
}

.profile-add-group{
  background-color: rgba(216, 216, 216, 0.575);
  padding: 5px;
  border-radius: 29px;
  display: flex;
}
.pic-add{
width:20px;
}
.write{
  width: 25px;
}
.post-btn{
  width: 50px;
  height: 50px;
  background-color: white;
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: flex;
  justify-content: center;
  border-radius: 30px;
  box-shadow: 0 3px 21px rgba(0, 0, 0, 0.2);
}

@media screen and (max-width:1330px) {
  .container{
    grid-template-columns: 350px 600px 400px;

  }
 
}
@media screen and (max-width:1280px) {
  .container{
    grid-template-columns: 250px 600px 400px;

  }
 .sidebar{
  width: 250px;
 }
}
@media screen and (max-width:1180px) {
  .container{
    grid-template-columns: 600px 400px;

  }
  .side-container{
    display: none;
  }

}
@media screen and (max-width:950px) {
  .group-container{
    display: none;
  }
 
}
@media screen and (max-width:1180px) {
  .container{
    grid-template-columns: 700px;
    justify-content: center;
  }
}

@media screen and (max-width:720px){
  .container{
    grid-template-columns: 600px;
  }
  .select{
    display: none;
  }
}
@media screen and (max-width:430px){
  .container{
    grid-template-columns: 420px;
  }
  .reactions{
    margin: 0px 14px;
    font-size: 13px;
    height: 30px;
  }
  .reaction-text{
    padding-top: 3px;
  }
  .upload-options {
    font-size: 12px;
    white-space: nowrap;
  }
  .common{
    display: flex;
  font-weight: bold;
  padding: 5px 15px;
    height: 21px;
  }
  .common:hover{
    background-color: rgba(214, 214, 214, 0.527);
    border-radius: 4px;
  }
}
@media screen and (max-width:400px){
  .container{
    grid-template-columns: 390px;
  }
  
  .reactions{
    margin: 0px 14px;
    font-size: 13px;
    height: 30px;
  }
  .reaction-text{
    padding-top: 3px;
  }
  .upload-options {
    font-size: 12px;
    white-space: nowrap;
  }
  .common{
    display: flex;
  font-weight: bold;
  padding: 5px 15px;
  height: 21px;
  }
  .common:hover{
    background-color: rgba(214, 214, 214, 0.527);
    border-radius: 4px;
  }
}
@media screen and (max-width:360px){
  .container{
    grid-template-columns: 350px;
  }
  .navbar-container{
    grid-template-columns: 1fr 1.4fr 205px;
  }
  .options{
    width: 20px;
  }
  .pic{
    width:35px;
    height:35px;
  }
  .down{
    top: 24px;
    width: 12px;
  }
  .red{
    left: 26px;
  top: 2px;
  width: 7px;
  height: 7px;
  }
  .reactions{
    margin: 0px 14px;
    font-size: 13px;
    height: 30px;
  }
  .reaction-text{
    padding-top: 3px;
  }
  .upload-options {
    font-size: 12px;
    white-space: nowrap;
  }
  span {
    padding-left: 4px;
  }
  .common{
    display: flex;
  font-weight: bold;
  padding: 5px 7px;
  height: 21px;
  }
  .common:hover{
    background-color: rgba(214, 214, 214, 0.527);
    border-radius: 4px;
  }
}